Page MenuHomePhabricator

CacheAwarePropertyInfoStore & CachingPropertyInfoLookup should use WANObjectCache instead of BagOStuff
Closed, ResolvedPublic5 Story Points

Description

Per T97368#5018549

When writing a combination of delete and set should be used per T218197#5021050

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUse WanCache for PropertyInfoStore things

Event Timeline

Addshore triaged this task as High priority.Mar 13 2019, 11:00 AM
Addshore created this task.
Restricted Application added a project: Wikidata. · View Herald TranscriptMar 13 2019, 11:00 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
elukey added a subscriber: aaron.Mar 13 2019, 12:10 PM

Adding also @aaron that knows better what is best (and hopefully can confirm what I am saying).

aaron added a comment.Mar 13 2019, 2:53 PM

Yes, and CacheAwarePropertyInfoStore should use delete() or such for purges rather than set(). Using set() would only effect one DC.

Addshore updated the task description. (Show Details)Mar 14 2019, 10:44 AM
Addshore set the point value for this task to 5.Mar 19 2019, 3:41 PM
Restricted Application added a project: User-Addshore. · View Herald TranscriptMar 22 2019, 9:59 AM
Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 4:06 PM

Change 498348 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] WIP DNM WANCACHE for property info store?

https://gerrit.wikimedia.org/r/498348

Change 498348 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use WanCache for PropertyInfoStore things

https://gerrit.wikimedia.org/r/498348

We should watch https://grafana.wikimedia.org/d/000000574/t204083-investigation and see some significant improvements .. if none, maybe this wasn't enough. I'm watching it for a week or two

It looks like the train didn't make it past group0 this week, so no change really spotted yet.

Addshore closed this task as Resolved.Apr 9 2019, 9:32 AM